Fwd: [Haskell-beginners] SMTPClient + hsemail-1.6 = errors

Daniel Fischer daniel.is.fischer at web.de
Fri Mar 26 07:42:36 EDT 2010

-----Urspr?ngliche Nachricht-----
Von: Sergey Mironov 
Gesendet: 26.03.2010 10:30:06
An: beginners at haskell.org
Betreff: Fwd: [Haskell-beginners] SMTPClient + hsemail-1.6 = errors

>Thanks, Robert. But my real goal was to compile happstack. SMTPClient
>is just a dependency.
>I solved the problem with ghc-pkg unregister:
>ierton at vault ~ % ghc-pkg unregister hsemail-1.6
>ierton at vault ~ % cabal install hsemail-1.3
>ierton at vault ~ % caball install SMTPClient

You can also cabal-install with constraints. I don't remember the command-line syntax,
I think it was something like

cabal install 'constraint hsemail < 1.6' SMTPClient

cabal install --help

should tell you how exactly it ought to look. Sometimes unregistering the offending package is not an option because other packages depend on it.

More information about the Beginners mailing list